Subject: Re: bug#35435: 26.1; Gnome magnifier not following cursor when typing in emacs

From: Eric Danan <[email-masked]>
Date: Thu, 2 May 2019 10:17:38 +0200

Thanks for your reply. I don't have the knowledge (neither on the emacs 
code nor on X) to prepare such a patch, and I of course understand if no 
one else can do it, but I an otherwise happy to test things if that can 
help.

(Also cc'ing Alex Arnaud, which I forgot to do the first time.)

On 2019-04-26 13:14, Eli Zaretskii wrote:
>> From: Eric Danan <[email-masked]>
>> Date: Fri, 26 Apr 2019 13:05:41 +0200
>>
>> Due to a visual impairment I constantly work with a screen magnifier
>> turned on (in full screen mode), and I need it to track the cursor/caret
>> to follow what I am typing.
>>
>> So far I am using emacs 26.1 on cygwin on windows 10, and the windows 10
>> magnifier does the job of tracking the cursor.
>>
>> I am considering switching to gnome on linux and therefore installed the
>> fedora (version 29) distribution to try it out. The gnome (3.30) shell
>> magnifier supports cursor tracking and it works in other applications
>> but not emacs (26.1).
>>
>> I previously sent this message to the gnome accessibility list (that was
>> a long time ago in 2015, so with earlier versions of emacs and gnome)
>> and got a reply from Alex Arnaud stating:
>>
>>   > I've tried to test Emacs with Accercicer (a accessibility debug tool)
>> and my conclusion are Emacs doesn't connect it to AT-SPI (accessibility
>> stack).
> 
> The Windows port of Emacs has special code to move the system caret in
> sync with the cursor.  I guess the X build should have something
> similar, patches are welcome to implement that.
>